[IPython-user] Can somebody help me with readline support?

Steve Lianoglou lists.steve at arachnedesign.net
Thu Aug 24 09:11:17 CDT 2006


Hi Nathan,

On Aug 24, 2006, at 9:50 AM, Nathan wrote:

> Alright, so I've been googling for an hour now trying to figure out  
> how to get this done, but I can't for whatever reason get python  
> 2.4 to use the readline library I've installed. Can somebody help  
> me with this?

I'm not sure how much help this is, because I actually don't know the  
answer :-)

I remember going through this a while ago, but don't remember how I  
did it.

That said, it looks as if you're running on OS X since I see the  
pythonw bin in there, is that true?

I like this tutorial for getting a python environment up:
http://bmistudents.blogspot.com/2006/04/on-installation-of-proper- 
python.html

If you're not on OS X, the instructions there still seem pretty  
generic enough (except for the mac binaries, that is), so it may  
still help you.

It includes a part about installing readline properly, but there  
doesn't seem to require any non-obvious step, so I'm not sure what  
you might be missing.

Also .. I've found that darwinports has done a bang-up job for me,  
and I'm using their python compilation + readline, though most of my  
python packages are self-compiled from svn checkouts.

Hope that helps,
-steve


More information about the IPython-user mailing list